<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Grupos
 *
 * @ORM\Table(name="grupos", indexes={@ORM\Index(name="periodo", columns={"periodo"}), @ORM\Index(name="cve_lic", columns={"cve_lic"}), @ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class Grupos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_gru", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideGru;

    /**
     * @var string
     *
     * @ORM\Column(name="grupo", type="string", length=30, nullable=false)
     */
    private $grupo;

    /**
     * @var string
     *
     * @ORM\Column(name="turno", type="string", length=50, nullable=false)
     */
    private $turno;

    /**
     * @var integer
     *
     * @ORM\Column(name="semestre", type="integer", nullable=true)
     */
    private $semestre = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="cuatrimestre", type="integer", nullable=true)
     */
    private $cuatrimestre = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="dias", type="string", length=100, nullable=true)
     */
    private $dias = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hora_inicio", type="time", nullable=true)
     */
    private $horaInicio = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hora_fin", type="time", nullable=true)
     */
    private $horaFin = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Periodos
     *
     * @ORM\ManyToOne(targetEntity="Periodos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="periodo", referencedColumnName="ide_per")
     * })
     */
    private $periodo;

    /**
     * @var \Licenciaturas
     *
     * @ORM\ManyToOne(targetEntity="Licenciaturas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic")
     * })
     */
    private $cveLic;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;



    /**
     * Get ideGru
     *
     * @return integer
     */
    public function getIdeGru()
    {
        return $this->ideGru;
    }

    /**
     * Set grupo
     *
     * @param string $grupo
     *
     * @return Grupos
     */
    public function setGrupo($grupo)
    {
        $this->grupo = $grupo;
    
        return $this;
    }

    /**
     * Get grupo
     *
     * @return string
     */
    public function getGrupo()
    {
        return $this->grupo;
    }

    /**
     * Set turno
     *
     * @param string $turno
     *
     * @return Grupos
     */
    public function setTurno($turno)
    {
        $this->turno = $turno;
    
        return $this;
    }

    /**
     * Get turno
     *
     * @return string
     */
    public function getTurno()
    {
        return $this->turno;
    }

    /**
     * Set semestre
     *
     * @param integer $semestre
     *
     * @return Grupos
     */
    public function setSemestre($semestre)
    {
        $this->semestre = $semestre;
    
        return $this;
    }

    /**
     * Get semestre
     *
     * @return integer
     */
    public function getSemestre()
    {
        return $this->semestre;
    }

    /**
     * Set cuatrimestre
     *
     * @param integer $cuatrimestre
     *
     * @return Grupos
     */
    public function setCuatrimestre($cuatrimestre)
    {
        $this->cuatrimestre = $cuatrimestre;
    
        return $this;
    }

    /**
     * Get cuatrimestre
     *
     * @return integer
     */
    public function getCuatrimestre()
    {
        return $this->cuatrimestre;
    }

    /**
     * Set dias
     *
     * @param string $dias
     *
     * @return Grupos
     */
    public function setDias($dias)
    {
        $this->dias = $dias;
    
        return $this;
    }

    /**
     * Get dias
     *
     * @return string
     */
    public function getDias()
    {
        return $this->dias;
    }

    /**
     * Set horaInicio
     *
     * @param \DateTime $horaInicio
     *
     * @return Grupos
     */
    public function setHoraInicio($horaInicio)
    {
        $this->horaInicio = $horaInicio;
    
        return $this;
    }

    /**
     * Get horaInicio
     *
     * @return \DateTime
     */
    public function getHoraInicio()
    {
        return $this->horaInicio;
    }

    /**
     * Set horaFin
     *
     * @param \DateTime $horaFin
     *
     * @return Grupos
     */
    public function setHoraFin($horaFin)
    {
        $this->horaFin = $horaFin;
    
        return $this;
    }

    /**
     * Get horaFin
     *
     * @return \DateTime
     */
    public function getHoraFin()
    {
        return $this->horaFin;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Grupos
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set periodo
     *
     * @param \CmBundle\Entity\Periodos $periodo
     *
     * @return Grupos
     */
    public function setPeriodo(\CmBundle\Entity\Periodos $periodo = null)
    {
        $this->periodo = $periodo;
    
        return $this;
    }

    /**
     * Get periodo
     *
     * @return \CmBundle\Entity\Periodos
     */
    public function getPeriodo()
    {
        return $this->periodo;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\Licenciaturas $cveLic
     *
     * @return Grupos
     */
    public function setCveLic(\CmBundle\Entity\Licenciaturas $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\Licenciaturas
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return Grupos
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }
}
